Bug 60495 - RFE: add an option to pam_cracklib which only checks password length.
RFE: add an option to pam_cracklib which only checks password length.
Status: CLOSED CURRENTRELEASE
Product: Red Hat Linux
Classification: Retired
Component: pam (Show other bugs)
7.2
i386 Linux
medium Severity medium
: ---
: ---
Assigned To: Tomas Mraz
Aaron Brown
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2002-02-28 11:46 EST by Mike Gahagan
Modified: 2007-04-18 12:40 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2004-10-20 04:18:31 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Mike Gahagan 2002-02-28 11:46:03 EST
Description of Problem:

The minlen option is very misleading. It actually checks the simplicity of the
password not its length. Another option should be added which simply checks the
length of the password typed by the user regardless of what characters are in
the password. Currently this can be worked around by just setting ucredit,
lcredit, dcredit, and ocredit to zero, but we really should treat simplicity
independant of the number of characters that make up the password string. This
would make it easier for people to set up security policies like:

Password must be at least X characters long with 2 or more digits/special
characters etc. 

I think all this would give many of our customers the behavior they are used to
and expect.

Version-Release number of selected component (if applicable):


How Reproducible:


Steps to Reproduce:
1. 
2. 
3. 

Actual Results:


Expected Results:


Additional Information:
Comment 1 Tomas Mraz 2004-10-20 04:18:31 EDT
> Password must be at least X characters long with 2 or more
> digits/special characters etc.

This is already possible with pam-0.77 you just have to set the
xcredit values to negative numbers.

Note You need to log in before you can comment on or make changes to this bug.